# com.beasys.commerce.ebusiness.tax
TaxLine Interface

public interface TaxLine
extends `Belonging`

Has all the information from orderline required to do taxing, may be generated from an orderline. Attribute: freight

- Containment: By Value
- Multiplicity: 1:1

Attribute: price

- Containment: By Value
- Multiplicity: 1:1

Attribute: quantity

- Containment: By Value
- Multiplicity: 1:1

Attribute: taxCode

- Containment: By Value
- Multiplicity: 1:1

Related Topics

``TaxLineHome``
``TaxLineImpl``

All Known Implementing Classes
  `TaxLineImpl`

All Superinterfaces
  `Belonging`, `BusinessSmartComponent`, `Cloneable`, `Comparable`, `Serializable`

## Method Summary

`public `Price`` | `getDiscountedPriceAmount`() Get the value of the discounted price
`public `Price`` | `getFreight`() Get the value of freight
`public `Price`` | `getPrice`() Get the value of price
`public `Quantity`` | `getQuantity`() Get the value of quantity
`public `String`` | `getTaxCode`() Get the value of taxCode
`public void` | `setDiscountedPriceAmount`(`Price` price) Set the value of the discounted price.
`public void` | `setFreight`(`Price` freight) Set the value of freight
`public void` | `setPrice`(`Price` price) Set the value of price
`public void` | `setQuantity`(`Quantity` quantity) Set the value of quantity
`public void` | `setTaxCode`(`String` taxCode) Set the value of taxCode

Methods from interface `com.beasys.commerce.foundation.`Belonging``
``clone`, `equals`, `interfaceName`, `setByValue`, `value``

Methods from interface `java.lang.`Comparable``
`compareTo`

## Method Detail

### getDiscountedPriceAmount() Method

    public Price getDiscountedPriceAmount()

Get the value of the discounted price

#### Returns

price.

### getFreight() Method

    public Price getFreight()

Get the value of freight

#### Returns

freight.

### getPrice() Method

    public Price getPrice()

Get the value of price

#### Returns

price.

### getQuantity() Method

    public Quantity getQuantity()

Get the value of quantity

#### Returns

quantity.

### getTaxCode() Method

    public String getTaxCode()

Get the value of taxCode

#### Returns

taxCode.

### setDiscountedPriceAmount(Price) Method

    public void setDiscountedPriceAmount(Price price)

Set the value of the discounted price. This is the amount off the full price.

#### Parameters

price
  price to be added

### setFreight(Price) Method

    public void setFreight(Price freight)

Set the value of freight

#### Parameters

freight
  freight to be added

### setPrice(Price) Method

    public void setPrice(Price price)

Set the value of price

#### Parameters

price
  price to be added

### setQuantity(Quantity) Method

    public void setQuantity(Quantity quantity)

Set the value of quantity

#### Parameters

quantity
  quantity to be added

### setTaxCode(String) Method

    public void setTaxCode(String taxCode)

Set the value of taxCode

#### Parameters

taxCode
  taxCode to be added